<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace app\common\state;

/**
 * Description of AllowanceStepEnum
 *
 * @author sgq
 */
class AllowanceStepEnum {

    const JBT_STEP_USER = 0;
    const JBT_STEP_FIRST = 1;
    const JBT_STEP_VISIT = 2;
    const JBT_STEP_REVIEW = 3;
    const RCRD_STEP_HCZX = 4;
    const RCRD_STEP_PUBLIC = 5;
    const RCRD_STEP_AFTERCHECK = 6;
    const RCRD_STEP_PUBLISH = 7;
    const RCRD_STEP_CARD = 8;
    const RCRD_STEP_CHECK = 11;
    const RCRD_STEP_TYPE_CHANGE = 20;
    const RCRD_STEP_WORKUNIT_CHANGE = 21;
    const RCRD_STEP_QUIT = 22;
    const RCRD_STEP_BANK_CHANGE = 23;
    const RCRD_STEP_CASH = 50;
    const RCRD_STEP_CANCLEPUBLISH = 55;
    const RCRD_STEP_REMOVEFROMLIBRARY = 60;
    const RCRD_STEP_RECOVERY = 65;
    const RCRD_STEP_SETNOTPASS = 70;
    const ENTERPRISE_STEP_USER = 100;
    const ENTERPRISE_STEP_CHECK = 101;
    const ENTERPRISE_STEP_SETFROZEN = 102;
    const ENTERPRISE_STEP_RESETPWD = 103;

    static function getStepName($code) {
        switch ($code) {
            case self::JBT_STEP_USER:
                return "<span class='label'>用户操作</span>";
            case self::JBT_STEP_FIRST:
                return "<span class='label label-primary'>初级审核</span>";
            case self::JBT_STEP_VISIT:
                return "<span class='label label-primary'>走访核查</span>";
            case self::JBT_STEP_REVIEW:
                return "<span class='label label-danger'>复核</span>";
            case self::RCRD_STEP_HCZX:
                return "<span class='label label-warning'>核查征信</span>";
            case self::RCRD_STEP_PUBLIC:
                return "<span class='label label-warning'>公示</span>";
            case self::RCRD_STEP_AFTERCHECK:
                return "<span class='label label-success'>公示再审核</span>";
            case self::RCRD_STEP_PUBLISH:
                return "<span class='label label-warning'>公布</span>";
            case self::RCRD_STEP_CARD:
                return "<span class='label label-info'>发证</span>";
            case self::RCRD_STEP_CHECK:
                return "<span class='label label-danger'>审核</span>";
            case self::RCRD_STEP_TYPE_CHANGE:
                return "<span class='label label-success'>人才层次变更</span>";
            case self::RCRD_STEP_WORKUNIT_CHANGE:
                return"<span class='label label-success'>工作单位变更</span>";
            case self::RCRD_STEP_QUIT:
                return "<span class='label label-success'>离职变更</span>";
            case self::RCRD_STEP_BANK_CHANGE:
                return "<span class='label label-success'>银行账号变更</span>";
            case self::RCRD_STEP_CASH:
                return "<span class='label label-primary'>兑现</span>";
            case self::RCRD_STEP_CANCLEPUBLISH:
                return "<span class='label label-primary'>撤销公布</span>";
            case self::RCRD_STEP_REMOVEFROMLIBRARY:
                return "<span class='label label-primary'>取消优秀人才</span>";
            case self::RCRD_STEP_RECOVERY:
                return "<span class='label label-primary'>恢复优秀人才</span>";
            case self::RCRD_STEP_SETNOTPASS:
                return "<span class='label label-danger'>设置审核不通过</span>";
            case self::ENTERPRISE_STEP_USER:
                return "<span class='label'>用户操作</span>";
            case self::ENTERPRISE_STEP_CHECK:
                return "<span class='label label-primary'>审核</span>";
            case self::ENTERPRISE_STEP_SETFROZEN:
                return "<span class='label label-danger'>设置冻结</span>";
            case self::ENTERPRISE_STEP_RESETPWD:
                return "<span class='label label-info'>重置密码</span>";
            default:
                return "";
        }
    }

}
